[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rpms/yumex/devel yumex.spec, NONE, 1.1 .cvsignore, 1.1, 1.2 sources, 1.1, 1.2



On Tue, 21 Jun 2005 11:51:14 -0400, Michael A. Peters wrote:

> Author: mpeters
> 
> Update of /cvs/extras/rpms/yumex/devel
> In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv7375/devel

> --- NEW FILE yumex.spec ---

Missing BuildRequires: gettext

> Requires: yum >= 2.3.2
> Requires: pygtk2
> Requires: usermode
> Requires: python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")

python(abi) = ... dependency is automatic since FC4. For FC3, this
package won't work anyway, because of the required Yum version.

> %install
> [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

D'oh! What makes these checks come back from time to time?

> desktop-file-install --vendor fedora --delete-original \
>     --dir $RPM_BUILD_ROOT%{_datadir}/applications \
>     --add-category X-Red-Hat-Base \

It's not a preferred Core application and hence must not add
category X-Red-Hat-Base. Category X-Fedora is fine, although it's
not evaluated anywhere.

> %clean
> [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

D'oh! ;)


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]